/**************************************************************************************************/

/*
 * File: linespacer.h
 * Author: Roman Lysecky
 * Date Created: August 26, 2012
 *
 * Description: Definition of function for determining the number of vowels.
 *
 * Copyright: Roman Lysecky, Electrical and Computer Engineering, University of Arizona, 2012.
 *
 */

/**************************************************************************************************/

#include <stdlib.h>
#include <stdio.h>
#include <ctype.h>
#include <string.h>
#include "numvowels.h"

/**************************************************************************************************/

/* 
 * Determines the number of vowels (uppercase and lowercase) within a string. 
 * Note: Y is not a vowel.
 *
 * RETURN: number of vowels in string, or -1 if input string is NULL
 */
int num_vowels(char * input_string)
{
   int num = 0;
   int i;
   
   /* if the input string is NULL, return -1 */
   if (input_string == NULL ) return -1;
   
   /* 
    * iterates through each position of string using a for loop. The strlen() function within
    * string.h library will return the number of characters (not including the null 
    * character) that will be used within the for loop condition
    *
    */
   for (i = 0; i < strlen(input_string); i++ ) {
      /* 
       * the individual characters within the string can be accessed using [], just like
       * an array.
       *
       * to reduce the number of statements, the tolower() function defined within 
       * ctype.h can be used to reduce the number of if statements to check all vowels
       *
       */
      if( tolower(input_string[i]) == 'a' ) num++;
      if( tolower(input_string[i]) == 'e' ) num++;
      if( tolower(input_string[i]) == 'i' ) num++;
      if( tolower(input_string[i]) == 'o' ) num++;
      if( tolower(input_string[i]) == 'u' ) num++;
   }
   
   return num;
}

/**************************************************************************************************/
